%define gst_plugins gst-plugins
%define ver_major 0.10

%define _gst_libdir %_libdir/gstreamer-%ver_major
%define _gtk_docdir %_datadir/gtk-doc/html

Name: %gst_plugins-bad
Version: %ver_major.9
Release: alt2.M41.1
Summary: A set of GStreamer plugins that need more quality
Group: System/Libraries
License: LGPL
URL: http://gstreamer.freedesktop.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: lib%gst_plugins >= 0.10.3
Requires: gstreamer >= 0.10.3

Obsoletes: %name-all <= %version
Obsoletes: %name-audio-filters <= %version
Obsoletes: %name-audio-formats <= %version
Obsoletes: %name-video-filters <= %version
Obsoletes: %name-video-formats <= %version
Obsoletes: %gst_plugins-bz2 <= %version
Obsoletes: %gst_plugins-directfb <= %version
Obsoletes: %gst_plugins-faac <= %version
Obsoletes: %gst_plugins-faad <= %version
Obsoletes: %gst_plugins-gsm <= %version
Obsoletes: %gst_plugins-jack <= %version
Obsoletes: %gst_plugins-ladspa <= %version
Obsoletes: %gst_plugins-mjpeg <= %version
Obsoletes: %gst_plugins-musepack <= %version
Obsoletes: %gst_plugins-musicbrainz <= %version
Obsoletes: %gst_plugins-neon <= %version
Obsoletes: %gst_plugins-real <= %version
Obsoletes: %gst_plugins-sdl <= %version
Obsoletes: %gst_plugins-soundtouch <= %version
Obsoletes: %gst_plugins-x264 <= %version
Obsoletes: %gst_plugins-xvid <= %version

Provides: %name-all = %version-%release
Provides: %name-audio-filters = %version-%release
Provides: %name-audio-formats = %version-%release
Provides: %name-video-filters = %version-%release
Provides: %name-video-formats = %version-%release
Provides: %gst_plugins-bz2 = %version-%release
Provides: %gst_plugins-directfb = %version-%release
Provides: %gst_plugins-faac = %version-%release
Provides: %gst_plugins-faad = %version-%release
Provides: %gst_plugins-gsm = %version-%release
Provides: %gst_plugins-jack = %version-%release
Provides: %gst_plugins-ladspa = %version-%release
Provides: %gst_plugins-mjpeg = %version-%release
Provides: %gst_plugins-musepack = %version-%release
Provides: %gst_plugins-musicbrainz = %version-%release
Provides: %gst_plugins-neon = %version-%release
Provides: %gst_plugins-real = %version-%release
Provides: %gst_plugins-sdl = %version-%release
Provides: %gst_plugins-soundtouch = %version-%release
Provides: %gst_plugins-x264 = %version-%release
Provides: %gst_plugins-xvid = %version-%release

Source0: http://gstreamer.freedesktop.org/src/%name/%name-%version.tar.bz2
Patch0: gst-plugins-bad-0.10.9-alt-timidity.patch

# Automatically added by buildreq on Thu Feb 21 2008
BuildRequires: bzlib-devel gcc-c++ libgnome-devel gst-plugins-devel gtk-doc jackit-devel ladspa_sdk
BuildRequires: libSDL-devel libfaac-devel libfaad-devel libgsm-devel libmpcdec-devel libexpat-devel
BuildRequires: libmusicbrainz-devel libneon-devel liboil-devel libsoundtouch-devel
BuildRequires: python-module-PyXML python-modules-email python-modules-encodings libdirac-devel
BuildRequires: libtheora-devel libxvid-devel libdc1394-devel libmjpegtools-devel
BuildRequires: libdca-devel libexif-devel libofa-devel libtimidity-devel timidity-instruments
# libamrwb-devel
# libx264-devel

%description
GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par
compared to the rest.  They might be close to being good quality, but
they're missing something - be it a good code review, some
documentation, a set of tests, a real live maintainer, or some actual
wide use.  If the blanks are filled in they might be upgraded to
become part of either gst-plugins-good or gst-plugins-ugly, depending
on the other factors.

%package devel
Summary: Development files for GStreamer Bad plugins
Group: Development/C
Obsoletes: %name-devel-doc <= %version
Provides: %name-devel-doc = %version-%release

%description devel
This package contains development files for GStreamer Bad plugin
collection.

%prep
%setup -q
%patch0 -p1

%build
export AUTOPOINT=true
%autoreconf
%configure \
    --disable-examples \
    --enable-gtk-doc \
    --disable-static \
    --disable-oss4 \
    --with-html-dir=%_gtk_docdir

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name-%ver_major

%files -f %name-%ver_major.lang
%doc AUTHORS NEWS README RELEASE
%_libdir/libgstapp-0.10.so.*
%dir %_gst_libdir
%_gst_libdir/*.so

%files devel
%_gtk_docdir/%name-plugins-%ver_major
%_libdir/libgstapp-0.10.so
%_includedir/gstreamer-0.10/gst/app/gstappbuffer.h
%_includedir/gstreamer-0.10/gst/app/gstappsink.h
%_includedir/gstreamer-0.10/gst/app/gstappsrc.h

%changelog
* Tue Nov 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.9-alt2.M41.1
- build for branch 4.1

* Tue Nov 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.9-alt3
- enabled timidity plugin

* Thu Nov 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.9-alt2
- disabled directfb plugin

* Sun Oct 26 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.9-alt1
- 0.10.9
- disabled x264

* Tue Oct 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.8.3-alt1
- 0.10.8.3 pre-release

* Mon Oct 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.8-alt2
- updated build dependencies

* Tue Aug 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.8-alt1
- 0.10.8

* Tue Jun 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt3
- rebuild with libneon.so.27

* Thu May 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt2
- rebuild

* Thu Apr 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt1
- 0.10.7

* Thu Feb 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.6-alt2
- join together subpackage

* Thu Feb 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.6-alt1
- 0.10.6
- spec cleanup
- update build dependencies

* Mon Sep 10 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt1
- 0.10.4 -> 0.10.5
- enable new plugins:
  + jack

* Sat Apr 28 2007 Igor Zubkov <icesik@altlinux.org> 0.10.4-alt3
- disable swfdec plugin (it's don't compile with fresh libswfdec)

* Thu Apr 12 2007 Igor Zubkov <icesik@altlinux.org> 0.10.4-alt2
- fix linking of gst-plugins-gsm (closes #11457)

* Thu Feb 22 2007 Igor Zubkov <icesik@altlinux.org> 0.10.4-alt1
- 0.10.3 -> 0.10.4
- disable v2l2 plugin

* Wed Sep 06 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.10.3-alt2.1
- Rebuild with libdirectfb-0.9.so.25 .

* Mon Jun 05 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt2
- Added missing filelist for soundtouch
- Disabled soundtouch until bug 9677 is resolved

* Sun Jun 04 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt1
- Updated to 0.10.3
- Patch0 has gone upstream
- Added musicbrainz plugin
- Added video4linux2 plugin
- Added soundtouch
- Added modplug, xingheader to audio-formats

* Mon Mar 13 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- Initial release for Sisyphus after the plugin split in the 0.9 branch
- Patch0: fix bitrotten autogen.sh
